randtype(1)

NAME
randtype - Output characters or lines at random intervals

SYNOPSIS
randtype [ -l ] [ -d ,|.<string> [ -k ] ] [ -t <ms,mult> ] [ -w <string> [ -c ms,mult ] ] [ -r s1,s2[:...] ] [ -n <string> ] [ -q <int> ] [ -m <int> ] [ file ... ]

DESCRIPTION

randtype reads input from either standard input or from a file and outputs each character or line at random intervals. If multiple files are specified, each is read in sequence.

OPTIONS

randtype recognizes the following command line options:

-c ms,mult
    For optional use with the -w option, this has the same microsecond and multiplier value format as the -t option. The default for this option is specified at compile time.

-d string
    Output everything before (left) or after (right) the specified string immediately. The string must begin with either ',' or '.' which specifies the direction, left or right, respectively.

-h  Print a summary of the command line options and exit.

-k  Suppress output of the string specified by the dump string option.

-l  Output lines rather than characters. Only the -t and -q options are valid when using this option, all other options are ignored.

-m int
    Generate random mistakes. The int value is how many times to compare and match the next character and a randomly generated character.

-n chars
    Output the specified characters immediately with no random waiting.

-r s1,s2[:...]
    Replace the string s1 with string s2. You can specify multiple replacements by separating them with a ':'.

-q int
    Quit the program after this many seconds.

-t ms,mult
    This option refines the random delay of output. The value of the argument is separated by a comma with the first argument being a microsecond and the second being a multiplier of a random number between 0 and the microsecond. A character-per-second effect can, for example, be made by setting the microsecond to 0 and the multiplier to 1000000. The default for this option is specified at compile time.

-v  Display version information and exit.

-w chars
    The inverse of the -n option; this option waits on the specified characters. Use the -c option to refine the random delay of output.

EXAMPLE

randtype -t 13,16000 -d ",*MAGIC*" -k -n 'ou' filename

SEE ALSO

random(3), srandom(3), alarm(2), select(2)

AUTHOR

This program was created by bjk <bjk@arbornet.org> and released under the terms of the GNU General Public License version 2 or later.